/* Edit */
.card-img-upload {
  display: flex;
  flex-direction: column;
}

.card-img-upload input[type='file'] {
  border: 1px solid #ccc;
  border-radius: 4px;
/*  box-shadow: 0px 1px 0px 0px rgba(255, 255, 255, 0.8), inset 0px 1px 2px 0px rgba(0, 0, 0, 0.3);*/
}

.card-img-upload input[type='file']::file-selector-button {
  border: 0;
  padding: .5rem;
}

.line-text {
  display: flex;
  align-items: center;
  text-align: center;
  color: #000;
}

.line-text::before,
.line-text::after {
  content: "";
  flex: 1;
  border-bottom: 1px solid #ccc;
}

.line-text::before {
  margin-right: 10px;
}

.line-text::after {
  margin-left: 10px;
}


/* View */
.card-layout {
/*  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  justify-content: center;*/
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
}

.card-layout .card {
  box-shadow: 0px 5px 5px #ddd;
  text-decoration: none;
  color: inherit;
  width: 312px;
  text-align: center;
/*  flex-basis: 320px;*/
/*  flex-grow: 1;*/
}

.card-layout .card:hover p.card-body-title,
.card-layout .card:focus-visible p.card-body-title {
  text-decoration-thickness: 3px;
/*  text-underline-offset: 7px;*/
}

.card-layout .card:nth-child(3n+1):last-child {
  grid-column: 2/3;
}

.card-layout .card,
.card-layout .card img {
  border-radius: 0;
  border: 0;
}

.card-layout .card .img-container {
  height: 260px;
  clip-path: polygon( 0 0, /* top left */
  100% 0, /* top right */
  100% 85%, /* right just above triangle */
  60% 85%, /* right base of triangle */
  50% 95%, /* tip of triangle */
  40% 85%, /* left base of triangle */
  0 85% /* left just above triangle */
  );
}

.card-layout .card .img-container img {
  min-width: 100%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card-layout .card .card-body.img {
  padding-top: 0;
  position: relative;
  top: -11px;
}

.card-layout .card .card-body .card-body-title {
  font-size: 1.25rem;
  text-decoration: underline;
  text-underline-offset: 6px;
  font-weight: 600;
  color: #2d4074;
  margin-bottom: 0.5rem;
}

.card-layout .card:hover .card-body .card-body-title,
.card-layout .card:focus-visible .card-body .card-body-title {
  text-decoration: underline;
  text-decoration-thickness: 5px;
}

/*Spinner*/
.lds-ring,
.lds-ring div {
  box-sizing: border-box;
}

.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid currentColor;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: currentColor transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

